module.exports = function(grunt) 

{

   grunt.initConfig({
   			pkg: grunt.file.readJSON('package.json'),
               
               
               watch: {
						  myscss: {
							files: ['scss/**/*.scss'],
							tasks: ['sass:dist'],
							options: {
							  spawn: false,
							},
						  },
},
            
 //end watch -this watches ccustom.scss and evokes sass:dist which puts custome css in public/css              
               
               
               sass: { // Begin Sass Plugin
					dist: {
						options: {
						sourcemap: 'none'
						}, //end dist
						files: [{  expand: true,cwd: 'scss', src: ['**/*.scss'],  dest: 'public/css', ext: '.css'   }]
					    },
					   // this task sass with this target dist converts scss to css 
					dist2: {
						options: {
						sourcemap: 'none'
						},
						files: [{  expand: true,cwd: 'vendor/twbs/bootstrap/scss', src: ['**/*.scss'],  dest: 'bootstrapCss', ext: '.css'   }]
					    }// end dist2
					 					    				    
					 }, //end sass main 
    
			
				
				
				   concat: {
						options: {
						separator: '/*   */\n',
								},
							dist: {
							  src: ['bootstrapCss/bootstrap.css', 'bootstrapCss/bootstrap-grid.css', 'bootstrapCss/bootstrap-reboot.css'],
							  dest: 'public/css/bootstrap.css',
							},
							},//end concat -this combines the 3 bootstrap in to one.
               
               
               
                  

			  });// end config

			  //load plugins
			  
			     grunt.loadNpmTasks('grunt-contrib-jshint');
			// grunt.loadNpmTasks('grunt-contrib-uglify');
			grunt.loadNpmTasks('grunt-contrib-less');
			  grunt.loadNpmTasks('grunt-contrib-cssmin');
			  grunt.loadNpmTasks('grunt-contrib-sass');
			  grunt.loadNpmTasks('grunt-contrib-copy');
			grunt.loadNpmTasks('grunt-contrib-watch');
			grunt.loadNpmTasks('grunt-browser-sync');
            
            grunt.loadNpmTasks('grunt-contrib-concat');
              

			//source of scss is scss and custom.css is in public css

			grunt.registerTask('run', 'Log something', function() {
			   grunt.log.write('i am running ').ok();
			  });


			

			grunt.registerTask('do1', ['sass:dist']);

              grunt.registerTask('do2', [ 'sass:dist2'   ]);
           

              grunt.registerTask('do3', ['concat:dist']);
             grunt.registerTask('myscss', ['watch']);



grunt.registerTask('default', function(){

grunt.log.writeln('Hello from Grunt via grunt.');



});







};//end main file 


